> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a workspace update

PATCH https://api.getpostman.com/workspaces/{workspaceId}/updates/{updateId}
Content-Type: application/json

Updates a workspace update.

**Note:**

This endpoint requires the `application/merge-patch+json` Content-Type header.


Reference: https://learning.postman.com/api-docs/api-reference/workspaces/patch-workspace-update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /workspaces/{workspaceId}/updates/{updateId}:
    patch:
      operationId: patchWorkspaceUpdate
      summary: Update a workspace update
      description: >
        Updates a workspace update.


        **Note:**


        This endpoint requires the `application/merge-patch+json` Content-Type
        header.
      tags:
        - workspaces
      parameters:
        - name: workspaceId
          in: path
          description: The workspace's ID.
          required: true
          schema:
            $ref: '#/components/schemas/workspaceId'
        - name: updateId
          in: path
          description: The workspace update's ID.
          required: true
          schema:
            $ref: '#/components/schemas/workspaceUpdateId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workspaceUpdatePostPatchResponseData'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchWorkspaceUpdateRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateWorkspaceUpdate'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    workspaceId:
      type: string
      title: workspaceId
    workspaceUpdateId:
      type: integer
      title: workspaceUpdateId
    workspaceUpdateCategoryData:
      type: string
      enum:
        - improvement
        - new_feature
        - bug_fix
        - breaking_change
        - announcement
      description: The update's assigned category.
      title: workspaceUpdateCategoryData
    WorkspaceUpdateRelatedResourcesDataItemsResource:
      type: string
      enum:
        - collection
        - request
        - response
        - folder
        - extensibleCollection
        - extensibleCollectionItem
      description: The type of linked resource.
      title: WorkspaceUpdateRelatedResourcesDataItemsResource
    WorkspaceUpdateRelatedResourcesDataItems:
      type: object
      properties:
        resource:
          $ref: >-
            #/components/schemas/WorkspaceUpdateRelatedResourcesDataItemsResource
          description: The type of linked resource.
        resourceId:
          type: string
          description: The linked resource's ID.
      required:
        - resource
        - resourceId
      title: WorkspaceUpdateRelatedResourcesDataItems
    workspaceUpdateRelatedResourcesData:
      type: array
      items:
        $ref: '#/components/schemas/WorkspaceUpdateRelatedResourcesDataItems'
      description: >-
        A list containing the update's related elements. Related elements
        include links to collections, requests, folders, and saved examples in
        the update.
      title: workspaceUpdateRelatedResourcesData
    updateWorkspaceUpdate:
      type: object
      properties:
        description:
          type: string
          description: The content of the workspace update.
        topic:
          type: string
          description: The title of the workspace update.
        category:
          $ref: '#/components/schemas/workspaceUpdateCategoryData'
        isPinned:
          type: boolean
          default: false
          description: >-
            If true, the workspace update is pinned to the top of the workspace
            updates list.
        relatedResources:
          $ref: '#/components/schemas/workspaceUpdateRelatedResourcesData'
      required:
        - description
        - topic
        - category
      title: updateWorkspaceUpdate
    workspaceUpdatePostPatchResponseData:
      type: object
      properties:
        id:
          type: integer
          description: The workspace update's ID.
        topic:
          type: string
          description: The title of the workspace update.
        description:
          type: string
          description: The content of the workspace update.
        workspaceId:
          type: string
          description: The ID of the workspace in which the workspace update was created.
        createdBy:
          type: integer
          description: The user ID of the user that created the workspace update.
        updatedBy:
          type: integer
          description: The ID of the user who last updated the workspace update.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the workspace update was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the workspace update was last updated.
        category:
          $ref: '#/components/schemas/workspaceUpdateCategoryData'
        isPinned:
          type: boolean
          default: false
          description: >-
            If true, the workspace update is pinned to the top of the workspace
            updates list.
        relatedResources:
          $ref: '#/components/schemas/workspaceUpdateRelatedResourcesData'
      title: workspaceUpdatePostPatchResponseData
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    PatchWorkspaceUpdateRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: PatchWorkspaceUpdateRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Request**

```json
undefined
```

**Response**

```json
{
  "id": 1,
  "topic": "API v1.0 released",
  "description": "We've released the first version of our newest API!",
  "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
  "createdBy": 12345678,
  "updatedBy": 12345678,
  "createdAt": "2026-04-10T09:36:21.000Z",
  "updatedAt": "2026-04-10T11:58:43.000Z",
  "category": "announcement",
  "isPinned": true,
  "relatedResources": [
    {
      "resource": "collection",
      "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update a Workspace Update



**Request**

```json
{
  "description": "We've released the first version of our newest API!",
  "topic": "API v1.0 released",
  "category": "announcement",
  "isPinned": true,
  "relatedResources": [
    {
      "resource": "collection",
      "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    }
  ]
}
```

**Response**

```json
{
  "id": 1,
  "topic": "API v1.0 released",
  "description": "We've released the first version of our newest API!",
  "workspaceId": "1f0df51a-8658-4ee8-a2a1-d2567dfa09a9",
  "createdBy": 12345678,
  "updatedBy": 12345678,
  "createdAt": "2026-04-10T09:36:21.000Z",
  "updatedAt": "2026-04-10T11:58:43.000Z",
  "category": "announcement",
  "isPinned": true,
  "relatedResources": [
    {
      "resource": "collection",
      "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    }
  ]
}
```

**SDK Code**

```python Update a Workspace Update
import requests

url = "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123"

payload = {
    "description": "We've released the first version of our newest API!",
    "topic": "API v1.0 released",
    "category": "announcement",
    "isPinned": True,
    "relatedResources": [
        {
            "resource": "collection",
            "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update a Workspace Update
const url = 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"description":"We\'ve released the first version of our newest API!","topic":"API v1.0 released","category":"announcement","isPinned":true,"relatedResources":[{"resource":"collection","resourceId":"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update a Workspace Update
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123"

	payload := strings.NewReader("{\n  \"description\": \"We've released the first version of our newest API!\",\n  \"topic\": \"API v1.0 released\",\n  \"category\": \"announcement\",\n  \"isPinned\": true,\n  \"relatedResources\": [\n    {\n      \"resource\": \"collection\",\n      \"resourceId\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update a Workspace Update
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"description\": \"We've released the first version of our newest API!\",\n  \"topic\": \"API v1.0 released\",\n  \"category\": \"announcement\",\n  \"isPinned\": true,\n  \"relatedResources\": [\n    {\n      \"resource\": \"collection\",\n      \"resourceId\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Update a Workspace Update
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"description\": \"We've released the first version of our newest API!\",\n  \"topic\": \"API v1.0 released\",\n  \"category\": \"announcement\",\n  \"isPinned\": true,\n  \"relatedResources\": [\n    {\n      \"resource\": \"collection\",\n      \"resourceId\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n    }\n  ]\n}")
  .asString();
```

```php Update a Workspace Update
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123', [
  'body' => '{
  "description": "We\'ve released the first version of our newest API!",
  "topic": "API v1.0 released",
  "category": "announcement",
  "isPinned": true,
  "relatedResources": [
    {
      "resource": "collection",
      "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update a Workspace Update
using RestSharp;

var client = new RestClient("https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"description\": \"We've released the first version of our newest API!\",\n  \"topic\": \"API v1.0 released\",\n  \"category\": \"announcement\",\n  \"isPinned\": true,\n  \"relatedResources\": [\n    {\n      \"resource\": \"collection\",\n      \"resourceId\": \"12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update a Workspace Update
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "description": "We've released the first version of our newest API!",
  "topic": "API v1.0 released",
  "category": "announcement",
  "isPinned": true,
  "relatedResources": [
    [
      "resource": "collection",
      "resourceId": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/workspaces/1f0df51a-8658-4ee8-a2a1-d2567dfa09a9/updates/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```